package pl.helion.j2mepp.lokalizator.dto;

public class Uzytkownik {
    private Integer ID;
    private String login;
    private String haslo;
    private String imie;
    private String nazwisko;
    private double szerokosc;
    private double dlugosc;
    private String lokalizacja;

    public Integer getID() {
        return ID;
    }

    public void setID(Integer ID) {
        this.ID = ID;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public double getSzerokosc() {
        return szerokosc;
    }

    public void setSzerokosc(double szerokosc) {
        this.szerokosc = szerokosc;
    }

    public double getDlugosc() {
        return dlugosc;
    }

    public void setDlugosc(double dlugosc) {
        this.dlugosc = dlugosc;
    }

    public String getLokalizacja() {
        return lokalizacja;
    }

    public void setLokalizacja(String lokalizacja) {
        this.lokalizacja = lokalizacja;
    }

    public boolean equals(Object o) {
        if (!(o instanceof Uzytkownik))
            return false;
        Uzytkownik u = (Uzytkownik)o;
        return (u.getID() == this.getID());
    }

    public int hashCode() {
        return this.getID();
    }

    public String getHaslo() {
        return haslo;
    }

    public void setHaslo(String haslo) {
        this.haslo = haslo;
    }

    public String getImie() {
        return imie;
    }

    public void setImie(String imie) {
        this.imie = imie;
    }

    public String getNazwisko() {
        return nazwisko;
    }

    public void setNazwisko(String nazwisko) {
        this.nazwisko = nazwisko;
    }
}
